summaryrefslogtreecommitdiff
path: root/tests/tests/gdr-makepatches7
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2018-06-28 11:52:54 +0100
committerSean Whitton <spwhitton@spwhitton.name>2018-06-28 11:52:54 +0100
commit4613f20fafd20f738291b355aced2bb4798ca2b1 (patch)
treee7d9bf11336468eda8076d71240368608cffea0e /tests/tests/gdr-makepatches7
parent36454d4896b806632a7b8b8f08e1b5ec16a1cc4e (diff)
parent152ccd540c3f7809d8235d0907eb0142aed792f4 (diff)
Merge tag 'debian/5.2' into wip/stretch-bpo
dgit release 5.2 for unstable (sid) [dgit] [dgit distro=debian] # gpg: Signature made Sun 24 Jun 2018 23:36:20 BST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/tests/gdr-makepatches7')
-rwxr-xr-xtests/tests/gdr-makepatches737
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/tests/gdr-makepatches7 b/tests/tests/gdr-makepatches7
new file mode 100755
index 0000000..9c39710
--- /dev/null
+++ b/tests/tests/gdr-makepatches7
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies GDR
+
+t-setup-import gdr-convert-gbp
+
+cd $p
+
+t-some-changes for-rebase-fixup m
+
+t-git-debrebase
+t-git-debrebase make-patches
+
+t-some-changes for-dgit-fixup m
+
+t-git-debrebase
+
+t-expect-fail 'dgit: failed command: test-suite-break-git-debrebase' \
+t-dgit -wgf --git-debrebase=test-suite-break-git-debrebase quilt-fixup
+
+t-dgit -wgf --git-debrebase=true quilt-fixup
+
+t-some-changes for-make-patches-fails-then-dgit-fixup m
+
+t-expect-fail 'Patch export produced patch amendments' \
+t-git-debrebase make-patches
+
+t-dgit -wgf quilt-fixup
+
+t-refs-same-start
+t-ref-head
+t-dgit -wg quilt-fixup
+t-ref-head
+
+t-ok